Gst::ElementClass< DerivedCppType > Class Template Reference

`#include <gstreamermm/register.h>`

## Public Member Functions

void | add_pad_template (const Glib::RefPtr< Gst::PadTemplate >& tpl)
void | set_metadata (const Glib::ustring& longname, const Glib::ustring& classification, const Glib::ustring& description, const Glib::ustring& author)
void | add_metadata (const Glib::ustring& key, const Glib::ustring& value)
const GstElementClass* | gobj () const
GstElementClass* | gobj ()

## Friends

GType | register_mm_type (const gchar* type_name)

## Member Function Documentation

## add_metadata()

template <typename DerivedCppType>

void Gst::ElementClass< DerivedCppType >::add_metadata | ( | const Glib::ustring & | key,
|  | const Glib::ustring & | value
| ) |  |

inline

## add_pad_template()

template <typename DerivedCppType>

void Gst::ElementClass< DerivedCppType >::add_pad_template | ( | const Glib::RefPtr< Gst::PadTemplate >& | tpl | ) |

inline

## gobj() [1/2]

template <typename DerivedCppType>

const GstElementClass* Gst::ElementClass< DerivedCppType >::gobj | ( |  | ) | const

inline

## gobj() [2/2]

template <typename DerivedCppType>

GstElementClass* Gst::ElementClass< DerivedCppType >::gobj | ( |  | ) |

inline

## set_metadata()

template <typename DerivedCppType>

void Gst::ElementClass< DerivedCppType >::set_metadata | ( | const Glib::ustring & | longname,
|  | const Glib::ustring & | classification,
|  | const Glib::ustring & | description,
|  | const Glib::ustring & | author
| ) |  |

inline

## Friends And Related Function Documentation

## register_mm_type

template <typename DerivedCppType>

GType register_mm_type | ( | const gchar * | type_name = `typeid(DerivedCppType).name()` | ) |

friend